> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/56.-upload-photos.md).

# 56. Încarcă fotografii

Încărcarea unei fotografii prin S3 presupune 2 pași:

1. **Solicitați linkul semnat în prealabil pentru încărcarea directă.**

Ca date de intrare:

* fileExtention - jpeg SAU jpg SAU png,
* farmUuid - UUID-ul fermei,
* fieldUuid - UUID-ul parcelei,
* noteUuid - UUID-ul notei pentru linkul direct al fotografiei încărcate,
* commentUuid - UUID-ul comentariului pentru linkul direct al fotografiei încărcate (opțional).

Ca date de ieșire:

* uuid - UUID-ul așteptat după încărcare și procesare,
* farmUuid - aceeași valoare ca în intrare,
* fieldUuid - aceeași valoare ca în intrare,
* noteUuid - aceeași valoare ca în intrare,
* commentUuid - aceeași valoare ca în intrare (dacă există),
* s3Url - URL-ul folosit pentru a încărca fotografia,
* s3Fields - atributele care trebuie transmise în formularul de încărcare a fotografiei.

Detaliile privind utilizarea s3Url și s3Fields sunt descrise la pasul al doilea.

Atributele sunt valabile doar 60 de minute pentru încărcarea fotografiei.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Trimiteți o fotografie locală la s3Url folosind atributele de formular predefinite din s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Notificările privind procesarea vor fi livrate prin mecanismul de abonare descris în GraphQL -> Exemple -> [1. Abonare: Obțineți evenimente](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Folosiți ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/56.-upload-photos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
